package com.googlecode.jpattern.logger;

import java.util.logging.Level;
import java.util.logging.Logger;

/**
 * 
 * @author Francesco Cina
 *
 * 18/giu/2011
 */
public class JavaUtilLogger implements ILogger {

	private static final long serialVersionUID = 1L;
	private final Logger logger;

	public JavaUtilLogger(Logger logger) {
		this.logger = logger;
		
	}

	@Override
	public void trace(String method, String message) {
		logger.finest(message);
	}

	@Override
	public void debug(String method, String message) {
		logger.fine(message);
	}

	@Override
	public void info(String method, String message) {
		logger.info(message);
	}

	@Override
	public void warn(String method, String message) {
		logger.warning(message);
	}

	@Override
	public void error(String method, String message) {
		logger.severe(message);

	}

	@Override
	public void error(String method, String message, Throwable e) {
		logger.log(Level.SEVERE, message, e);
	}

}
