package com.googlecode.jpattern.logger;

import org.slf4j.Logger;

/**
 * 
 * @author Francesco Cina
 *
 * 18/giu/2011
 */
public class Slf4JLogger implements ILogger {

	private static final long serialVersionUID = 1L;
	private final Logger logger;

	public Slf4JLogger(Logger logger) {
		this.logger = logger;
	}

	@Override
	public void trace(String method, String message) {
		logger.trace(message);
	}

	@Override
	public void debug(String method, String message) {
		logger.debug(message);
	}

	@Override
	public void info(String method, String message) {
		logger.info(message);
	}

	@Override
	public void warn(String method, String message) {
		logger.warn(message);
	}

	@Override
	public void error(String method, String message) {
		logger.error(message);
	}

	@Override
	public void error(String method, String message, Throwable e) {
		logger.error(message, e);
	}


}
