package com.googlecode.jpattern.logger;

import java.util.Date;

/**
 * 
 * @author Francesco Cina
 *
 * 04/giu/2011
 */
public class SystemOutLogger implements ILogger {

	private static final long serialVersionUID = 1L;
	private final String className;

	public SystemOutLogger(Class<?> clazz) {
		this.className = clazz.getName();
	}

	@Override
	public void trace(String method, String message) {
		log("[TRACE]", className , method, message);
	}
	
	@Override
	public void debug(String method, String message) {
		log("[DEBUG]", className , method, message);
	}

	@Override
	public void info(String method, String message) {
		log("[INFO ]", className , method, message);
	}

	@Override
	public void warn(String method, String message) {
		log("[WARN ]", className , method, message);
	}

	@Override
	public void error(String method, String message) {
		log("[ERROR]", className , method, message);
	}

	@Override
	public void error(String method, String message, Throwable e) {
		log("[ERROR]", className , method, message);
		log(e);
	}
	
	private void log(String level, String className, String method, String message) {
		StringBuffer log = new StringBuffer();
		log.append("[" + new Date() + "] ");
		log.append(level);
		log.append(" [" + className + "] ");
		log.append("[" + method + "] ");
		log.append("[" + message + "] ");
		System.out.println( log );
	}

	private void log(Throwable e) {
		e.printStackTrace();
	}
}
